Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jain.protocol.ss7.oam.mtp2
Class Mtp2ErrorNotification

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--javax.management.Notification
                  |
                  +--jain.protocol.ss7.oam.OamErrorNotification
                        |
                        +--jain.protocol.ss7.oam.mtp2.Mtp2ErrorNotification

public class Mtp2ErrorNotification
extends OamErrorNotification

This Notification may be emitted by any MTP2 Managed MBean if a user defined error is encountered.

This Mtp2ErrorNotification should be sent to all applications that have registered with the Mtp2 MBean as a javax.management.NotificationListener using a filter 'f', where f.isNotificationEnabled(this.getType()) == true.

The Notification class extends the java.util.EventObject base class and defines the minimal information contained in a notification. It contains the following fields:

the notification type, which is a string expressed in a dot notation similar to Java properties.

a sequence number, which is a serial number identifying a particular instance of notification in the context of the notification source

a time stamp, indicating when the notification was generated

a message contained in a string, which could be the explanation of the notification for displaying to a user

userData is used for whatever other data the notification source wishes to communicate to its consumers

Notification sources should use the notification type to indicate the nature of the event to their consumers. When additional information needs to be transmitted to consumers, the source may place it in the message or user data fields.

Inheritance hierarchy for JAIN OAM Notification

Version:
  1.1
Author:
  Colm Hayden
See Also:
  Serialized Form

Field Summary
`static int` | `MTP2_ERROR_INVALID_TIMER_EXPIRED` Alarm Type Constant: Invalid MTP2 Timer Expired.

Fields inherited from class jain.protocol.ss7.oam.OamErrorNotification
`NON_OAM_RELATED_ERROR`

Constructor Summary
`Mtp2ErrorNotification(OamManagedObjectMBean source, long sequenceNumber, int errorType)` Constructs a new Mtp2ErrorNotification of the specified Error Type.

Method Summary
`java.lang.String` | `toString()` Returns a string representation (with details) of classes which extend this class.

Methods inherited from class jain.protocol.ss7.oam.OamErrorNotification
`getErrorType, getNonOamErrorMsg, setNonOamErrorMsg`

Methods inherited from class javax.management.Notification
`getMessage, getSequenceNumber, getSource, getTimeStamp, getType, getUserData, setSource, setUserData`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MTP2_ERROR_INVALID_TIMER_EXPIRED

    public static final int MTP2_ERROR_INVALID_TIMER_EXPIRED

  Alarm Type Constant: Invalid MTP2 Timer Expired.

  Emitted By: Mtp2TimerProfileMBean
  Notification Type: "jain.protocol.ss7.oam.mtp2.error.invalid_timer_expired".

Constructor Detail

### Mtp2ErrorNotification

    public Mtp2ErrorNotification(OamManagedObjectMBean source,
                                 long sequenceNumber,
                                 int errorType)
                          throws java.lang.IllegalArgumentException

  Constructs a new Mtp2ErrorNotification of the specified Error Type.
  Parameters:
    `source` - the source of the error
    `sequenceNumberThe` - notification sequence number within the source object.
    `errorType` - one of the defined Error Types.
  Throws:
    java.lang.IllegalArgumentException - - If any of the supplied parameters are invalid

Method Detail

### toString

    public java.lang.String toString()

  Returns a string representation (with details) of classes which extend this class. Over rides standard JAVA toString method.
  Overrides:
    toString in class java.util.EventObject

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

11 August 2000

Copyright - 2000 Sun Microsystems